libzypp 17.37.10

ResFilters.h File Reference
`#include <zypp/base/Functional.h>`
`#include <zypp/Filter.h>`
`#include <zypp/Resolvable.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/Repository.h>`
`#include <utility>`

Go to the source code of this file.

## Classes
struct | zypp::resfilter::ByName
| Select ResObject by name. More...
struct | zypp::resfilter::ByRepository
| Select ResObject by repository or repository alias. More...
struct | zypp::resfilter::ByEdition< TCompare >
| Select ResObject by Edition using TCompare functor. More...
struct | zypp::resfilter::ByArch< TCompare >
| Select ResObject by Arch using TCompare functor. More...
struct | zypp::resfilter::ByInstalled
| Select PoolItem by installed. More...
struct | zypp::resfilter::ByUninstalled
| Select PoolItem by uninstalled. More...
struct | zypp::resfilter::ByTransact
| Select PoolItem by transact. More...
struct | zypp::resfilter::ByLock
| Select PoolItem by lock. More...
struct | zypp::resfilter::ByKeep
| Select PoolItem by keep. More...
struct | zypp::resfilter::ByRecommended
| PoolItem which is recommended. More...
struct | zypp::resfilter::BySuggested
| PoolItem which is suggested. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::resfilter

## Functions
template<class TRes>
filter::ByKind | zypp::resfilter::byKind ()
template<class TCompare>
ByEdition< TCompare > | zypp::resfilter::byEdition (const Edition &edition_r, TCompare cmp_r)
template<class TCompare>
ByEdition< TCompare > | zypp::resfilter::byEdition (const Edition &edition_r)
template<class TCompare>
ByArch< TCompare > | zypp::resfilter::byArch (const Arch &arch_r, TCompare cmp_r)
template<class TCompare>
ByArch< TCompare > | zypp::resfilter::byArch (const Arch &arch_r)